"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class FeatureTypeCancer(object):
    """
    The genomic feature type  * regulatory_region: A region of sequence
    that is involved in the control of a biological process.
    SO:0005836 * gene: A region (or regions) that includes all of the
    sequence elements necessary to encode a functional transcript. A
    gene may include regulatory regions, transcribed regions and/or
    other functional sequence regions. SO:0000704 * transcript: An RNA
    synthesized on a DNA or RNA template by an RNA polymerase.
    SO:0000673
    """

    regulatory_region = "regulatory_region"
    gene = "gene"
    transcript = "transcript"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "4.2.0"
